Bug 39245 - rpm not fit for a standard use
rpm not fit for a standard use
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 01:47 EDT by Michal Jaegermann
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-06 01:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-05-06 01:47:40 EDT
Description of Problem:

Every invocation of rpm from rpm-4.0-4.3 is causing this:

rpm(720): unaligned trap at 000000012012a7e8: 000002000000c02e 28 2

Older version of rpm were not doing that.

Moreover with a database left in an inconsistent state by an installer
the only response from rpm is "Segmentation violation (core dumped)".
A core file is not very illuminating as this is stripped, statically
linked, binary and the only things gdb is able to extract from that
is:

Program terminated with signal 11, Segmentation fault.

#0  0x12003eb40 in ?? ()

and no backtrace is available.
Comment 1 Jeff Johnson 2001-05-06 09:15:41 EDT
Probably, but the problems are with gcc and glibc, not rpm.

Try rpm-4.0.2-7x from ftp.rpm.org or Red Hat updates, please reopen
this bug if problem persists there.
Comment 2 Michal Jaegermann 2001-05-08 16:48:51 EDT
Replacing rpm with a version 4.0.2-7x, and doing 'rpm --rebuilddb' afterwards,
indeed helped to clear the problem.  I was able to fix a mess left by
a failing installer.

"Unaligned traps" seem to be dependent on glibc.  Things are ok if I am using
'rpm -r /mnt/other ....' from 7.0 installation with glibc-2.2-12 but if I will
do 'chroot /mnt/other' then the same version of rpm, but glibc-2.2.3-5, comes
immediately with:

rpm(1264): unaligned trap at .....

(like in the original report although an instruction address is different).

Note You need to log in before you can comment on or make changes to this bug.